System 4.0.0.0 System.Object System.Collections.Concurrent.IProducerConsumerCollection<T> System.Collections.Generic.IEnumerable<T> System.Diagnostics.DebuggerDisplay("Count={Count}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Collections.Generic.CollectionDebuggerView`1)) System.Runtime.InteropServices.ComVisible(false) To be added.

Bags are useful for storing objects when ordering doesn't matter, and unlike sets, bags support duplicates. is a thread-safe bag implementation, optimized for scenarios where the same thread will be both producing and consuming data stored in the bag.

accepts null as a valid value for reference types.

For more information, see the entry FAQ: Are all of the new concurrent collections lock-free? in the Parallel Programming with .NET blog.

Represents a thread-safe, unordered collection of objects.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added.

  The count returned represents a moment-in-time snapshot of the contents of the bag. It is possible that other threads might add or remove items immediately after you access the Count property.

  Gets the number of elements contained in the .

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T>

  The enumeration represents a moment-in-time snapshot of the contents of the bag. It does not reflect any updates to the collection after was called. The enumerator is safe to use concurrently with reads from and writes to the bag.

  Returns an enumerator that iterates through the .

  An enumerator for the contents of the .

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is empty.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to an , starting at a particular index.

  The one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the is synchronized with the SyncRoot.

- Property
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the . This property is not supported.

- Method
  4.0.0.0
  System.Collections.IEnumerator

  The items enumerated represent a moment-in-time snapshot of the contents of the bag. It does not reflect any update to the collection after was called.

  Returns an enumerator that iterates through the .

  An enumerator for the contents of the .

- Method
  4.0.0.0
  T[] To be added.

  Copies the elements to a new array.

  A new array containing a snapshot of elements copied from the .

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.